<?php declare(strict_types=1);

namespace App\Entity;

use OpenApi\Attributes as OAT;

/**
 *
 */
class Domain
{
	private int $id;
	private int $panelID;
	private String $name;
	private String $a;
	private String $aaaa;
	
	public function __construct(String $name, int $id = 0, int $panelID = 0, String $a = '', String $aaaa = '')
	{
		$this->id = $id;
		$this->panelID = $panelID;
		$this->name = $name;
		$this->a = $a;
		$this->aaaa = $aaaa;
	}
	
	/**
	 * @return String
	 */
	public function getA(): string
	{
		return $this->a;
	}
	
	/**
	 * @return String
	 */
	public function getAaaa(): string
	{
		return $this->aaaa;
	}
	
	/**
	 * @return int
	 */
	public function getId(): int
	{
		return $this->id;
	}
	
	/**
	 * @param int $id
	 */
	public function setId(int $id): void
	{
		$this->id = $id;
	}
	
	/**
	 * @return String
	 */
	public function getName(): string
	{
		return $this->name;
	}
	
	/**
	 * @return int
	 */
	public function getPanelID(): int
	{
		return $this->panelID;
	}
	
	/**
	 * @param int $panelID
	 */
	public function setPanelID(int $panelID): void
	{
		$this->panelID = $panelID;
	}
	
	/**
	 * @param String $name
	 */
	public function setName(string $name): void
	{
		$this->name = $name;
	}
	
	/**
	 * @param String $a
	 */
	public function setA(string $a): void
	{
		$this->a = $a;
	}
	
	/**
	 * @param String $aaaa
	 */
	public function setAaaa(string $aaaa): void
	{
		$this->aaaa = $aaaa;
	}
	
}